Puntuado con 5 de 5 estrellas

A version which is compatible with FF 3 can be found here: https://addons.mozilla.org/

Just changed the version number to 0.7.2.b solved the Bug ... Hope you like it!

Esta valoración es de una versión anterior del complemento (0.7.2).